import de.espirit.firstspirit.access.ClientScriptContext;
import de.espirit.firstspirit.access.UserService;
import de.espirit.firstspirit.access.store.contentstore.Content2;
import de.espirit.firstspirit.access.store.contentstore.ContentWorkflowable;
import de.espirit.firstspirit.access.store.templatestore.Schema;
import de.espirit.firstspirit.access.store.templatestore.TemplateStoreRoot;
import de.espirit.firstspirit.access.store.templatestore.WorkflowScriptContext;
import de.espirit.or.Session;
import de.espirit.or.schema.Entity;



		try {

			UserService us = context.getUserService();
			ClientScriptContext CSC = (ClientScriptContext) context;
			TemplateStoreRoot ts = (TemplateStoreRoot) us.getStore(de.espirit.firstspirit.access.store.Store.Type.TEMPLATESTORE,false);
			Schema schema = ts.getSchemes().getSchemaByName("SFO");
			
			Content2 c2 = (Content2) CSC.getStoreElement();	
			ContentWorkflowable WF = (ContentWorkflowable) context.getWorkflowable();
			Entity ent = WF.getEntity();
			String DS_ID = ""+ent.getValue("fs_id");

			String tableName = c2.getEntityType().getName();
			context.logInfo("tableName: " + tableName );
			
			context.logInfo("\tDatensatz lschen: ");
			Session sess = schema.getSession();
			sess.delete(ent);
			sess.commit();
			context.logInfo("\t... fertig");
			schema.refresh();

			context.logInfo("\tFreigebestand des Datensatz lschen: ");
			Session relsess = schema.getSession(true);
			Entity relEnt = relsess.find(tableName , new Object[] {""+DS_ID} );
			context.logInfo("relEnt:  " + relEnt);
			try{
				relsess.delete(relEnt);
				relsess.commit();
				context.logInfo("\t\tgelscht");
			}catch (Exception e) {
				context.logWarning("Fehler beim Lschen Freigabeversion: " + e);
			}
			context.logInfo("\t... fertig");
			context.doTransition("del_ok");
		} catch (Exception e) {
			try{
				context.logError("Fehler bei der Lschung: " + e);
				context.doTransition("del_not_ok"); 
			} catch(Exception F){}
			return;
		}



